> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List project collaborations

GET https://{tenant_name}.benchling.com/api/v2-beta/projects/{projectId}/collaborations

Returns information about collaborations on the specified project.


Reference: https://docs.benchling.com/docs/api/v2-beta/benchling-api-beta/projects/list-project-collaborations

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required) — ID of project for which to retrieve collaborations.

### Query parameters

- `userId` (string, optional) — ID of user for which to retrieve collaborations.
- `appId` (string, optional) — ID of app for which to retrieve collaborations.
- `teamId` (string, optional) — ID of team for which to retrieve collaborations.
- `organizationId` (string, optional) — ID of organization for which to retrieve collaborations.
- `role` (enum, optional) — Organization or team membership role for which to retrieve collaborations.
  - Allowed values: `ADMIN`, `MEMBER`
- `ids` (string, optional) — Comma-separated list of collaboration ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `createdAt.lt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created before the specified time. e.g. \< 2017-04-30.
- `createdAt.gt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created after the specified time. e.g. > 2017-04-30.
- `modifiedAt.lt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified before the specified time. e.g. \< 2017-04-30.
- `modifiedAt.gt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified after the specified time. e.g. > 2017-04-30.
- `modifiedAt.lte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified on or before the specified time. e.g. \<= 2017-04-30.
- `modifiedAt.gte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified on or after the specified time. e.g. >= 2017-04-30.
- `pageSize` (integer, optional, default: 50) — Number of collaborations to return. Defaults to 50, maximum of 100.
- `nextToken` (string, optional) — Token for pagination
- `sort` (enum, optional, default: modifiedAt) — Method by which to order search results. Valid sort method is modifiedAt (modified time, most recent first). Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt:desc.
  - Allowed values: `modifiedAt`, `modifiedAt:asc`, `modifiedAt:desc`

## Response

### 200

OK

- `collaborations` (list of Collaboration, optional)
- `nextToken` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### Collaboration

- `accessPolicy` (AccessPolicy, optional)
- `collaborator` (CollaborationCollaborator, optional)
- `createdAt` (string, optional)
- `id` (string, optional)
- `itemId` (string, optional)
- `itemType` (string, optional)
- `modifiedAt` (string, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### AccessPolicy

- `id` (string, optional)
- `name` (string, optional)

### CollaborationCollaborator

- `type`: `APP` (APP)
  - `handle` (string, optional)
  - `id` (string, optional)
  - `name` (string, optional)
- `type`: `ORGANIZATION_MEMBERSHIP` (ORGANIZATION_MEMBERSHIP)
  - `organization` (OrganizationSummary, optional)
  - `role` (enum, optional)
    - Allowed values: `ADMIN`, `MEMBER`
- `type`: `TEAM_MEMBERSHIP` (TEAM_MEMBERSHIP)
  - `role` (enum, optional)
    - Allowed values: `ADMIN`, `MEMBER`
  - `team` (TeamSummary, optional)
- `type`: `USER` (USER)
  - `handle` (string, optional)
  - `id` (string, optional)
  - `name` (string, optional)

### OrganizationSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### TeamSummary

- `id` (string, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "collaborations": [
    {
      "accessPolicy": {
        "id": "string",
        "name": "string"
      },
      "collaborator": {
        "type": "ORGANIZATION_MEMBERSHIP",
        "organization": {
          "handle": "string",
          "id": "string",
          "name": "string"
        },
        "role": "ADMIN"
      },
      "createdAt": "string",
      "id": "string",
      "itemId": "string",
      "itemType": "string",
      "modifiedAt": "string"
    }
  ],
  "nextToken": "string"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2-beta/projects/src_1234/collaborations"

querystring = {"appId":"app_1234","ids":"clb_1234","organizationId":"ent_1234","role":"ADMIN","teamId":"team_1234","userId":"ent_1234"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2-beta/projects/src_1234/collaborations?appId=app_1234&ids=clb_1234&organizationId=ent_1234&role=ADMIN&teamId=team_1234&userId=ent_1234';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```